# Type alias LineConfiguration

LineConfiguration: {
color?: string;
zExtractor: ZExtractorFunction;
}

Configuration object for one profile's line.

#### Type declaration

- ##### `Optional` color?: string

  Color of the line (hex color string).

- ##### zExtractor: ZExtractorFunction

  Extract the elevation of a point (an item of the elevation data array).

- Defined in srcapi/store/config.ts:479

Generated using TypeDoc